openmpi (4.1.6-7ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:25:08 +0000

openmpi (4.1.6-7ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Mar 2024 08:34:15 +0100

openmpi (4.1.6-7) unstable; urgency=medium

  * Drop hard-coded pmix2 dependency. Closes: #1066885

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 06:14:07 +0000

openmpi (4.1.6-6ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core
    - Remove redundant libpmix2 dependency

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Mar 2024 21:17:49 +0100

openmpi (4.1.6-6) unstable; urgency=medium

  * Patch from Zixing Liu to change libnames in d/rules for t64 transition.
    Closes: #1066834

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 08:19:07 +0000

openmpi (4.1.6-5.1ubuntu4) noble; urgency=medium

  * d/rules: correctly install all the optional libraries to the t64-suffixed
    binary packages. (LP: #1070321)

 -- Zixing Liu <zixing.liu@canonical.com>  Wed, 13 Mar 2024 18:49:40 -0600

openmpi (4.1.6-5.1ubuntu3) noble; urgency=medium

  * Remove redundant libpmix2 dependency

 -- Zixing Liu <zixing.liu@canonical.com>  Tue, 12 Mar 2024 20:30:35 -0600

openmpi (4.1.6-5.1ubuntu2) noble; urgency=medium

  * No-change rebuild against libpmix2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 22:51:49 +0000

openmpi (4.1.6-5.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:16:21 +0100

openmpi (4.1.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064263

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:37:33 +0000

openmpi (4.1.6-5ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2024 10:04:03 +0100

openmpi (4.1.6-5) unstable; urgency=medium

  * Ensure pkg-config is present for autopkgtests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:56 +0000

openmpi (4.1.6-4) unstable; urgency=medium

  * Revert FMODDIR to libdir via dh-fortran-mod >= 0.31.
    Closes: #1058876
  * Add fortran-suppport.mk 
  * Add fortran:Depends, fortran:Recommends to libopenmpi-dev
  * Depend on dh-fortran-mod (>= 0.31)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:39 +0000

openmpi (4.1.6-3) unstable; urgency=medium

  * Pass FMODDIR into pkg-config. Closes: #1058876
  * Update mpi wrappers data for fmoddir
  * Now ship pkg-config  ompi-f77.pc, opal.pc links in d/libopenmpi-dev
  * Expand debian/tests to cover mpi wrapper, pkg-config compiles

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Dec 2023 14:06:07 +0000

openmpi (4.1.6-2) unstable; urgency=medium

  * Fix change of FMODDIR to /usr/include*. Closes: #1058526

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 08:57:13 +0000

openmpi (4.1.6-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Oct 2023 09:31:28 +0200

openmpi (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Minor link change: libmpi.so.40.30.5 -> libmpi.so.40.30.6

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Oct 2023 13:00:06 +0100

openmpi (4.1.5-3ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 08:02:02 +0200

openmpi (4.1.5-3) unstable; urgency=medium

  * Rebuild against gcc-13. Closes: #1050031

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Aug 2023 09:51:43 +0100

openmpi (4.1.5-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jun 2023 11:18:51 +0200

openmpi (4.1.5-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:13:42 +0100

openmpi (4.1.5-1) experimental; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.4 -> libmpi.so.40.30.5
    - libopen-pal.so.40.30.2 -> libopen-pal.so.40.30.3
    - libopen-rte.so.40.30.2 -> libopen-rte.so.40.30.3
    - liboshmem.so.40.30.2 -> liboshmem.so.40.30.3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Mar 2023 10:06:21 +0000

openmpi (4.1.4-3ubuntu2) lunar; urgency=medium

  * Rebuild against new libpmix2 4.2.2-1 on riscv64, fixing python-
    escrypt build.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 Jan 2023 14:05:59 +0100

openmpi (4.1.4-3ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 07 Nov 2022 22:16:43 -0800

openmpi (4.1.4-3) unstable; urgency=medium

  * Rebuild against latest dh-fortran-mod, pmix 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Oct 2022 12:52:34 +0100

openmpi (4.1.4-2ubuntu2) kinetic; urgency=medium

  * No-change rebuild against libevent-core-2.1-7a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 21:23:22 +0000

openmpi (4.1.4-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 04 Sep 2022 18:16:05 +0200

openmpi (4.1.4-2) unstable; urgency=medium

  * Fix broken oshmem symlink. Closes: #1009748

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:47:37 +0100

openmpi (4.1.4-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 30 May 2022 09:10:10 +0200

openmpi (4.1.4-1) unstable; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.3 -> libmpi.so.40.30.4
    - /libmca_common_ompio.so.41.29.3 -> /libmca_common_ompio.so.41.29.4
  * Standards-Versoin: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 May 2022 10:51:27 +0100

openmpi (4.1.3-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 10:10:49 +0200

openmpi (4.1.3-2) unstable; urgency=medium

  * Update links:
    - libmca_common_ompio.so.41.29.2 -> libmca_common_ompio.so.41.29.3
    - libmca_common_ucx.so.40.30.1 -> libmca_common_ucx.so.40.30.2
    Closes: #1008966
  * Fix autopkgtest that was incorrectly silent: Closes: #1009263

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Apr 2022 08:32:17 +0100

openmpi (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update links:
     - libmpi.so.40.30.2  -> libmpi.so.4.0.30.2
     - libompitrace.so.40.30.0 -> libompitrace.so.40.30.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Apr 2022 09:05:27 +0100

openmpi (4.1.2-2ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Mar 2022 13:35:12 +0100

openmpi (4.1.2-2) unstable; urgency=medium

  * Add link for mpifort-wrapper-data. Closes: #1006453

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2022 12:39:43 +0000

openmpi (4.1.2-1ubuntu2) jammy; urgency=medium

  * Rebuild against new pmix 4.1.2-1ubuntu1.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 14 Feb 2022 21:34:06 +0100

openmpi (4.1.2-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Dec 2021 07:32:41 +0000

openmpi (4.1.2-1) unstable; urgency=medium

  * Nww upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Nov 2021 08:20:25 +0000

openmpi (4.1.2~rc1-5) unstable; urgency=medium

  * Drop unused and broken link to libopen-orted-mpir.so

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 09:08:51 +0100

openmpi (4.1.2~rc1-4) unstable; urgency=medium

  * Move java docs to openmpi-doc package
  * Add Breaks/Replaces for file move libopenmpi-dev -> openmpi-doc
  * Delete obsolete breaks/replaces

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2021 11:49:06 +0100

openmpi (4.1.2~rc1-3) unstable; urgency=medium

  * Update versions: 
    - libmca_common_ompio.so 41.29.1 ->  41.29.2
    - libmca_common_ofi.so 10.0.1 -> 10.0.2
    Closes: #995150
  * Add autopkg test for unlinked shared libs
  * Add alpha, ppc64, sparc64 to the 'nojava' arch list
  * Only install javadocs via d/rules inside conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Sep 2021 08:11:18 +0100

openmpi (4.1.2~rc1-2) unstable; urgency=medium

  * Drop deprecated "stage1" build profile in favour of "nojava"
  * Don't depend on libfabric-dev on sh4, powerpc, x32
  * Only install java wrapper script on java platforms (not hurd)
  * Don't try to build java support on kfreebsd-*

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 10:55:45 +0100

openmpi (4.1.2~rc1-1) experimental; urgency=medium

  * New upstream release
  * Drop merged patches:
    - pr8827.patch
    - no-ship-orted-mpir.patch
    - pr8596.patch
  * Update libversions:
    - libmpi.so.40.30.1 -> libmpi.so.40.30.2
    - libmpi_cxx.so.40.30.0 -> libmpi_cxx.so.40.30.1
    - libopen-pal.so.40.30.1 -> libopen-pal.so.40.30.2
    - libopen-rte.so.40.30.1 -> libopen-rte.so.40.30.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2021 13:20:47 +0100

openmpi (4.1.1-5) unstable; urgency=medium

  * Include pr8596.patch from 4.1.0-9 in 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Sep 2021 14:07:52 +0100

openmpi (4.1.1-4) unstable; urgency=medium

  * Don't ship libopen-orted-mpir.so. Patch from upstream for 4.1.2
    internal lib only.
  * Also exclude mtl ofi to deal with libfabric fork in tests.
    Closes: #979041

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Sep 2021 13:31:02 +0100

openmpi (4.1.1-3) unstable; urgency=medium

  * Don't embed username, hostname in binaries. Closes: #990254.
    Thanks, Vagrant Cascadian
  * Ship libopen-orted-mpir.so in -dev pkg only. Closes: #993041, #993038
  * Close bug fixed in previous release. Closes: #945120
  * Fix FTBFS with missing javadocs in stage1/no java builds.
    Closes: #979877, #975995

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2021 12:04:06 +0100

openmpi (4.1.1-2) unstable; urgency=medium

  * Ensure libopen-orted-mpir.so is shipped
  * Update so minor versions on libmca_common_ofi, libmca_common_ompio.
    Closes: #989111
  * Enable IPv6. Closes: #989694.
  * Standards-Version: 4.6.0; no changes required
  * Build with autoconf 2.71 ; Closes: #978878

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Aug 2021 09:28:50 +0100

openmpi (4.1.1-1) experimental; urgency=medium

  * New upstream release
  * Patches merged upstream: 
     - external-pmix-fix.patch
     - external-pmix-fix.patch
     - grequest-fix.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 May 2021 10:11:22 +0100

openmpi (4.1.0-10ubuntu1) impish; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 25 Aug 2021 15:03:25 +0000

openmpi (4.1.0-10) unstable; urgency=medium

  * Rebuild against ucx 1.10.1~rc1+really.1.10.0-1 for buster

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 May 2021 09:16:24 +0100

openmpi (4.1.0-9) unstable; urgency=medium

  * Pull fix for Memory leak in MPI_Allreduce when using a repeatedly created
    and freed MPI_Datatype. Closes: #987261
  * Workaround for mpirun crashes when trying to schedule a task on
    a foreign host. Closes: #984956

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 May 2021 14:01:44 +0100

openmpi (4.1.0-8) unstable; urgency=medium

  * Ship mpiijavac.pl script. Closes: #984962

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Mar 2021 18:29:08 +0000

openmpi (4.1.0-7ubuntu2) hirsute; urgency=medium

  * No-change rebuild for pmix update.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Feb 2021 09:12:39 +0100

openmpi (4.1.0-7ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:

 -- Matthias Klose <doko@ubuntu.com>  Thu, 21 Jan 2021 20:17:53 +0100

openmpi (4.1.0-7) unstable; urgency=medium

  * Also disable ofi BTL to avoid libfabric issues
    (user can re-enable on systems with RDMA hardware)
    Closes: #979041
  * Backport grequest fix from 4.1.x. Closes: #979480

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:22:18 +0000

openmpi (4.1.0-6) unstable; urgency=medium

  * Disable UCX by default to avoid spurious errors on systems
    without rdmacm hardware. Closes: #90033

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2021 11:43:39 +0000

openmpi (4.1.0-5) unstable; urgency=medium

  * libfabric-dev now available on all bar hurd, kfreebsd
  * libnuma-dev now available on all bar hurd, kfreebsd
  * Exclude openib by default, update README.Debian to explain.
  * Patch to detect pmix 4.  Closes: #979041

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 19:42:23 +0000

openmpi (4.1.0-4) unstable; urgency=mediuzm

  * Rename some scripts to drop language suffix
    - aggregate_profile.pl -> aggregate_profile
    - profile2mat.pl -> profile2man
  * Drop dependencies on libpmix* as we use the internal version
  * Fix for missing plugin mca_op_avx.so. Closes: #979041, #978496
  * Update shymlink to jquery.js for version number change

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jan 2021 22:22:09 +0000

openmpi (4.1.0-3) unstable; urgency=medium

  * Set -latomic on some archs for pmix
  * Fix overreaching find in d/rules
  * Make install of shmemc++.1 conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Dec 2020 17:17:04 +0000

openmpi (4.1.0-2) unstable; urgency=medium

  * Update d/watch file
  * Use internal pmix until pmix 4.0 supported.
    Closes: #978022,  #978308, #978203, #978066

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 14:38:05 +0000

openmpi (4.1.0-1) unstable; urgency=medium

  * New upstream release
    - minor lib versions updated to 40.30.0
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 10:56:34 +0000

oopenmpi (4.0.5-7ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable, remaining changes:
    - remove i386 dependencies to rdma-core
      + d/control: drop the i386 dependency from libopenmpi-dev to
        libibverbs-dev
      + d/control: disable the direct build-dependency on libibverbs-dev
        (from rdma-core) on i386
      + d/rules: disable libfabric support on i386 to avoid pulling in
        rdma-core

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 23 Nov 2020 11:34:42 +0100

openmpi (4.0.5-7) unstable; urgency=medium

  * Undo NO_PMIX_ARCH for armel, mipsel no longer needed as atomic
    primitives now provided in external pmix. Closes: #971669

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Oct 2020 20:08:08 +0100

openmpi (4.0.5-6) unstable; urgency=medium

  * Update VCS-* headers to point to debian/latest branch. Closes: #970707
  * Rebuild to drop build of mca_pmix_pmix3.so on armel/mipsel (triggered by
    misconfig in pmix package) ?

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Oct 2020 08:46:30 +0100

openmpi (4.0.5-5) unstable; urgency=medium

  * Drop amd64 from NO_PMIX_ARCH (debugging test). Closes: #970698
  * Update Breaks/Replaces to cope with bug regression below

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Sep 2020 21:29:06 +0100

openmpi (4.0.5-4) unstable; urgency=medium

  * Regression fix: man pages belong in openmpi-bin, Closes: #970442
  * Set B-D on libpmix-dev. Closes: #970193
  * Add dependency on libevent-dev to libopenmpi-dev. Closes: #945121

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Sep 2020 11:25:15 +0100

openmpi (4.0.5-3) unstable; urgency=medium

  * Revert autogenerated vars in preinst/postinst. Closes: #970036
  * Update pmix path for libpmix-dev >= 3.2.0rc1-2
  * Ack. bug closed due to mpi4py test disabled: Closes: #965352.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Sep 2020 12:33:38 +0100

openmpi (4.0.5-2) unstable; urgency=medium

  * in binary-indep builds, ignore stuff thats not installed (d/not-installed)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Sep 2020 09:18:52 +0100

openmpi (4.0.5-1) unstable; urgency=medium

  * New upstream release
  * Update libversions:
    libmpi.so 40.20.4 -> 40.20.5
    libopen-pal.so 40.20.4 -> 40.20.5
    libopen-rte.so 40.20.4 -> 40.20.5
    libmpi_usempif08: 40.21.1 -> 40.21.2
  * Add libpmix-dev as Dependency of libopenmpi-dev
  * Depend on libjs-jquery-ui in -dev pkg rather than use external version
  * Move to debhelper 13; use DEB_HOST_MULTIARCH vars rather than autogenerated
    link, install files
  * Drop use_openib patch now that UCX enabled
  * Change gdb.conf and branch names to match DEP-14 recommendations

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Sep 2020 16:48:29 +0100

openmpi (4.0.4-2) unstable; urgency=medium

  * Re-enable liboshmem.so
  * Se hwloc to external for clarity
  * Enable UCX support
    - Add libmca_common_ucx.so lib
  * Tidy up d/rules to use more dh_* commands not cp/mv
  * Ship javadocs in libopenmpi-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2020 07:59:50 +0100

openmpi (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Update libversions:
    libmpi.so 40.20.3 -> 40.20.4
    libopen-pal.so 40.20.3 -> 40.20.4
    libopen-rte.so 40.20.3 -> 40.20.4
    libmpi_usempif08: 40.21.0 -> 40.21.1
  * Updated build config for ia64, thanks to John Paul Adrian Glaubitz.
    Closes: #963729

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jul 2020 08:42:05 +0100

openmpi (4.0.3-9) unstable; urgency=medium

  * Add config to use Infiniband on 4.0+. Closes: #962180

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jun 2020 17:09:51 +0100

openmpi (4.0.3-8) unstable; urgency=medium

  * Undo 64-bit; 
  * Add breaks to avoid libhwloc.so.5/so.15 collision. Closes: #961631

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 May 2020 16:35:04 +0100

openmpi (4.0.3-7) experimental; urgency=medium

  * Experimental full 64-bit build

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 May 2020 12:12:06 +0100

openmpi (4.0.3-6ubuntu2) groovy; urgency=medium

  * Also drop the i386 dependency from libopenmpi-dev to libibverbs-dev

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 19 May 2020 14:39:46 +0200

openmpi (4.0.3-6ubuntu1) focal; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Disable libfabric support on i386 to avoid pulling in rdma-core
    + Also disable the direct build-dependency on libibverbs-dev (from
      rdma-core) on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 16 Apr 2020 11:16:28 +0000

openmpi (4.0.3-6) unstable; urgency=medium

  * libopenmpi-dev now depends on zlib1g-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Apr 2020 12:47:29 +0100

openmpi (4.0.3-5) unstable; urgency=medium

  * Fix autopkgtest scripts to run in right directory; dep on gcc, gfortran
  * Correct JAVA condition so its not built on hppa. Closes: #956161

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Apr 2020 14:02:54 +0100

openmpi (4.0.3-4) unstable; urgency=medium

  * Hard-code GFORTRAN_VERSION as gfortran-mod-15 for the moment to avoid
    pulling arch-dep stuff into openmpi-common (mpi wrappers)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Apr 2020 14:19:09 +0100

openmpi (4.0.3-3) unstable; urgency=medium

  * Fix broken link for libmpi_usempi_ignore_tkr.so

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Apr 2020 13:56:17 +0100

openmpi (4.0.3-2) unstable; urgency=medium

  * Fix broken psm conditional that causes FTBFS on non-intel archs
  * Use gcc rather than patchelf to change sonames for gfortan libs;
    patchelf causes ldconfig to create wierd files and breaks dwz
    Closes: #955708
  * Ensure mpif*.h headers are also present in the fortran mod dir that
    mpif90/mpif77 now searches. Closes: #955749

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Apr 2020 11:56:15 +0100

openmpi (4.0.3-1) unstable; urgency=medium

  * New upstream release. Closes: #954932
    Some lib changes: 
    - libmpi    40.20.2 -> 40.20.3
    - libopen-pal  40.20.2 -> 40.20.3
    - libopen-rte 40.20.2 -> 40.20.3
    - libmpi_usempif08  40.20.1 -> 40.21.0
    - libmca_common_ompio.so. 41.19.2 -> 41.19.3
  * Standards-Version: 4.5.0
  * Enable java build on riscv64. Closes: #933738
  * Build with both gfortran and flang (where possible)
    But don't depend on flang until it supports llvm-9
  * Drop B-D on gcc >= 4, Obsolete
  * Don't have openmpi-bin depend on libopenmpi-dev.
    THIS MAY BREAK THINGS EXPECTING libopenmpi-dev TO SHIP mpicc*, etc.
    THEY SHOULD DEPEND ON MPI-DEFAULT-DEV instead.
  * Build without '--with-ltdl'; 4.* uses dlopen directly.
  * Use dh-sequence-fortran-mod instead of --with fortran_mod
  * Add initial hello_world sanity package tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Mar 2020 15:10:13 +0100

openmpi (4.0.3-0ubuntu1) focal; urgency=medium

  * New upstream release (LP: #1870780)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 15 Apr 2020 07:36:51 +0000

openmpi (4.0.3~rc4-0ubuntu2) focal; urgency=medium

  * debian/control: Enable default-jdk build-dep on riscv64 now that Java's
    enabled on riscv64 (fixes FTBFS since 4.0.2-3).

 -- William Grant <wgrant@ubuntu.com>  Sun, 05 Apr 2020 18:51:01 +1000

openmpi (4.0.3~rc4-0ubuntu1) focal; urgency=medium

  * New upstream release candidate.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 20:37:39 +0100

openmpi (4.0.3~rc3-0ubuntu3) focal; urgency=medium

  * Fix installation of libmca_common_ompio.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Feb 2020 23:20:59 +0100

openmpi (4.0.3~rc3-0ubuntu2) focal; urgency=medium

  * New upstream release candidate.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2020 12:52:08 +0100

openmpi (4.0.2-5ubuntu2) focal; urgency=medium

  * Also disable the direct build-dependency on libibverbs-dev (from
    rdma-core) on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 28 Jan 2020 21:01:24 -0800

openmpi (4.0.2-5ubuntu1) focal; urgency=medium

  * Disable libfabric support on i386 to avoid pulling in rdma-core.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Jan 2020 12:40:16 -0800

openmpi (4.0.2-5) unstable; urgency=medium

  * Fix typos in d/changelog
  * Ship orte-server. Closes: #946542

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Dec 2019 13:41:29 +0000

openmpi (4.0.2-4) unstable; urgency=medium

  * Version numbers on libs changed:
   - libmpi_java.so now version 40.20.0
   - libmca_common_monitoring.so now 50.10.0
   - libmca_common_ompio.so now 41.19.2
   - libmca_common_verbs.so now 40.20.0 
   - libmca_common_ofi.so, liboshmem.so no longer produced
   - Closes: #945170, 
  * Close old bug: Closes #945121
  * Update postinst scripts, remove preinst scripts; remove stuff no longer
    needed post buster

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Nov 2019 14:35:36 +0000

openmpi (4.0.2-3) unstable; urgency=medium

  * Add dependency on libevent-dev to libopenmpi-dev. Closes: #933738
  * Drop deprecated Fortran-Mod: clause from d/control. Closes: #916860
  * Enable java support for riscv64. Closes: #933738
  * dh_fortran_mod now adds Fortran dependencies. Closes: #916159
  * As of last upload, openmpi no longer prints warnings to stderr
    by default. Closes: #814451
  * Recent openmpi works in chroot. Closes: #494046
  * OpenMPI4 works with hwloc2. Closes: #916794.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2019 09:24:14 +0000

openmpi (4.0.2-2) unstable; urgency=medium

  * Move to unstable. Closes: #941996
  * Set OMPI_MCA_btl_base_warn_component_unused=0 by default to silence 
    warnings. Add README.Debian to say so.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2019 11:55:49 +0000

openmpi (4.0.2-1) experimental; urgency=medium

  * New upstream release
   - libmpi_usempi_ignore_tkr.so now .40.20.0 
   - libompitrace.so now 40.20.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2019 18:04:21 +0100

openmpi (4.0.2~rc1-1) experimental; urgency=medium

  * New upstream release
   - libmpi_cxx.so, libmpi_usempif08.so  now 40.20.1
   - libmpi_mpifh, libmpi.so now 40.20.2
   - libopen-pal, libopen-rte now 40.20.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Sep 2019 06:46:16 +0100

openmpi (4.0.1-1) experimental; urgency=medium

  * New upstream release
   -  orte-ps, orte-top, orte-server, orte-dvm, prun no longer built.
   - libmca_common_sm now 40.20.0
   - libmpi.so, libmpi_mpifh,libopen-rte,libopen-pal  now 40.20.1
  * Undo --no-parallel.
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Drop B-D on gcc7 for ia64 (no longer a release arch)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 11:20:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog openmpi-common`.
